/**
 * 判断数据是否为 type, 或返回 type
 * @param {*} data
 * @param {*} type
 * @returns
 */
function isType(data, type = undefined) {
  const dataType = Object.prototype.toString
    .call(data)
    .match(/\s(.+)]/)[1]
    .toLowerCase()
  return type ? dataType === type.toLowerCase() : dataType
}

/**
  autoList 参考示例
  [
    {
      time: 1000 * 5, // 循环调用时间
      fn: this.currentTime, // 要调用的函数
    }
  ]
**/
function autoVueFn(autoList = [], vm) {
  vm._timer = []
  autoList.forEach((item) => {
    const fn = () => {
      item.fn.call(vm)
    }
    fn()
    const timer = setInterval(fn, item.time)
    vm._timer.push(timer)
  })
  vm.$options.beforeDestroy = [
    ...(vm.$options.beforeDestroy || []),
    function () {
      vm._timer.forEach((item) => {
        console.log(`卸载`, item)
        clearInterval(item)
      })
    },
  ]
}

export default {
  autoVueFn,
  isType,
}
